=== debian/changelog ===
libasi (1.21.0-1) unstable; urgency=medium

  * new upstream version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 22:03:07 +0100

libasi (1.20.3-2) unstable; urgency=medium

  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 17:03:07 +0100

libasi (1.20.3-1) unstable; urgency=medium

  * new upstream version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Dec 2021 22:30:07 +0100

libasi (1.20.2-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Oct 2021 19:30:07 +0200
