=== debian/control ===
Source: libasi
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libasi
Vcs-Git: https://salsa.debian.org/debian-astro-team/libasi.git

Package: libasi
Architecture: i386 amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: library to control ASI cameras, focuser, filter wheels and ST4
 This package contains libraries to control different devices:
  - ZWO ASI Cameras
  - ZWO EAF Focuser
  - ZWO EFW Filter Wheels
  - ZWO USB to ST4 converter
