=== debian/changelog ===
libasi (1.22+20220607002509-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 1.22

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:25:58 +0000
