## libasi 1.27%2B20221218230335

=== debian/changelog ===
libasi (1.27+20221218230335-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1125544)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 19:05:29 +0100

libasi (1.27+20221218230335-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058845)
    (Thanks to  Chris Hofstaedtler for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Jun 2024 23:05:29 +0200

libasi (1.27+20221218230335-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.27

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Dec 2022 23:05:29 +0000
