## libasi 1.27+20221218230335

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,12 @@
 cmake_minimum_required (VERSION 3.0)
 project (libasi)
 
-# Using ASI Camera SDK Version 1.22 updated on 2022-05-03
-# Using ASI Camera SDK Version 1.21 updated on 2022-01-17
-# Using ASI Camera SDK Version 1.20.3 updated on 2021-11-19
+# Using ASI Camera SDK Version 1.27 updated on 2022-11-30
 # Using ASI EFW SDK Version 1.7 updated on 2021-05-17
 # Using ASI ST4 SDK Version 1.0 updated on 2018-07-23
 # Using ASI EAF SDK Version 1.4 updated on 2021-05-17
 
-set (ASICAM_VERSION "1.22")
+set (ASICAM_VERSION "1.27")
 set (ASICAM_SOVERSION "1")
 
 set (ASIEFW_VERSION "1.7")
@@ -41,6 +39,11 @@
   set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "mac/libEFWFilter.bin")
   set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "mac/libUSB2ST4Conv.bin")
   set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "mac/libEAFFocuser.bin")
+
+  FIX_LIBRARY_ID("libASICamera2" "mac/libASICamera2.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libEFWFilter" "mac/libEFWFilter.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libUSB2ST4Conv" "mac/libUSB2ST4Conv.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libEAFFocuser" "mac/libEAFFocuser.bin" "ASI/ZWO")
 
 elseif (UNIX AND NOT WIN32)
